/** @file MOMPackageList.cpp
 *
 * Copyright (C) Espial Limited 2014 - Company confidential - All rights reserved.
 *
 */

#include "config.h"

#if ENABLE(RMAI)

#include "MOMPackageList.h"

namespace WebCore {

PassRefPtr<MOMPackageList> MOMPackageList::create(ScriptExecutionContext *context, mom_package_list list)
{
    return static_pointer_cast<MOMPackageList>(MOMContentItem::create(context, (mom_content_item)list));
}

PassRefPtr<MOMPackageList> MOMPackageList::createAdopt(ScriptExecutionContext *context, mom_package_list list)
{
    return static_pointer_cast<MOMPackageList>(MOMContentItem::createAdopt(context, (mom_content_item)list));
}

MOMPackageList::MOMPackageList(ScriptExecutionContext *context, mom_content_item item)
    : MOMContentList(context, item)
{
}

} // namespace WebCore

#endif // ENABLE(RMAI)
